MONGOC_BULK_OPERATION_REMOVE_ONE(3)

NAME
mongoc_bulk_operation_remove_one() - None

SYNOPSIS

void
mongoc_bulk_operation_remove_one (mongoc_bulk_operation_t *bulk,
                                  const bson_t            *selector);

This function queues a delete operation as part of bulk that will delete a single document matching selector \&. To delete a multiple documents, see mongoc_bulk_operation_remove(3) \&.

PARAMETERS

bulk
    A mongoc_bulk_operation_t \&.

selector
    A bson_t \&.

ERRORS

Errors are propagated via mongoc_bulk_operation_execute(3) \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.